Loading...
Searching...
No Matches
include_fmtlib.hpp File Reference

A special wrapper around fmtlib include files. More...

`#include <restinio/asio_include.hpp>`
`#include <fmt/format.h>`
`#include <fmt/ostream.h>`
`#include <fmt/time.h>`

Go to the source code of this file.

## Namespaces

namespace | restinio
namespace | restinio::fmtlib_tools

## Macros

#define | RESTINIO_FMT_FORMAT_STRING(s) s

## Functions

auto | restinio::fmtlib_tools::runtime_format_string (const char *fmt_string) noexcept
template<typename T >
decltype(auto) | restinio::fmtlib_tools::streamed (T &&v) noexcept

## Detailed Description

A special wrapper around fmtlib include files.

Since
  v.0.5.1.2

Definition in file include_fmtlib.hpp.

## Macro Definition Documentation

## RESTINIO_FMT_FORMAT_STRING

#define RESTINIO_FMT_FORMAT_STRING | ( |  | s | ) | s

Examples
  sample/connection_state/main.cpp, sample/express_router_tutorial/main.cpp, sample/extra_data_factory/main.cpp, sample/file_upload/main.cpp, sample/hello_world_basic/main.cpp, sample/hello_world_sendfile/main.cpp, sample/hello_world_sendfile_https/main.cpp, sample/query_string_params/main.cpp, sample/sendfiles/main.cpp, sample/shared_tls_context/main.cpp, sample/tls_inspector/main.cpp, and sample/try_parse_query_string/main.cpp.

Definition at line 92 of file include_fmtlib.hpp.